cURL
curl --request GET \
--url https://drb.coinbase.com/api/v2/private/get_open_orders_by_currency \
--header 'Content-Type: application/json' \
--data '
{
"id": 1953,
"jsonrpc": "2.0",
"method": "private/get_open_orders_by_currency",
"params": {
"currency": "BTC"
}
}
'import requests
url = "https://drb.coinbase.com/api/v2/private/get_open_orders_by_currency"
payload = {
"id": 1953,
"jsonrpc": "2.0",
"method": "private/get_open_orders_by_currency",
"params": { "currency": "BTC" }
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 1953,
jsonrpc: '2.0',
method: 'private/get_open_orders_by_currency',
params: {currency: 'BTC'}
})
};
fetch('https://drb.coinbase.com/api/v2/private/get_open_orders_by_currency', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1953,
"jsonrpc": "2.0",
"result": [
{
"amount": 10,
"api": true,
"average_price": 0,
"creation_timestamp": 1550050597036,
"direction": "buy",
"filled_amount": 0,
"instrument_name": "BTC-15FEB19-3250-P",
"is_liquidation": false,
"is_rebalance": false,
"label": "fooBar",
"last_update_timestamp": 1550050597036,
"max_show": 10,
"order_id": "146062",
"order_state": "open",
"order_type": "limit",
"post_only": false,
"price": 0.0028,
"reduce_only": false,
"time_in_force": "good_til_cancelled"
}
]
}Trading
private/get_open_orders_by_currency
Retrieves a list of all open orders for a specific currency. Open orders are orders that have been placed but not yet filled or cancelled.
Results can be filtered by instrument kind and order type. This method provides a view of all active orders within a currency.
Scope: rat#view or wallet:transactions:read
GET
/
private
/
get_open_orders_by_currency
cURL
Query Parameters
The currency symbol
Currency, i.e "BTC", "ETH", "USDC"
Available options:
BTC, ETH, USDC, USDT, EURR Instrument kind, if not provided instruments of all kinds are considered
Instrument kind: "future", "option", "spot", "future_combo", "option_combo"
Available options:
future, option, spot, future_combo, option_combo Order type, default - all
Order type: "all", "limit", "trigger_all", "stop_all", "stop_limit", "stop_market", "take_all", "take_limit", "take_market", "trailing_all", "trailing_stop"
Available options:
all, limit, trigger_all, stop_all, stop_limit, stop_market, take_all, take_limit, take_market, trailing_all, trailing_stop Was this page helpful?
⌘I